## pulsemixer pulsemixer — Control sound input and output levels for PulseAudio |

## Synopsis

    struct              GstPulseMixer;

## Object Hierarchy

      GObject
       +----GstObject
             +----GstElement
                   +----GstPulseMixer

## Implemented Interfaces

GstPulseMixer implements GstImplementsInterface, GstMixer and GstPropertyProbe.

## Properties

      "device"                   gchar*                : Read / Write
      "device-name"              gchar*                : Read
      "server"                   gchar*                : Read / Write

## Description

## Synopsis

### Element Information

plugin | pulseaudio
author | Lennart Poettering
class | Generic/Audio

### Element Pads

## Details

### struct GstPulseMixer

    struct GstPulseMixer;

## Property Details

### The `"device"` property

      "device"                   gchar*                : Read / Write

The PulseAudio sink or source to control.

Default value: NULL

### The `"device-name"` property

      "device-name"              gchar*                : Read

Human-readable name of the sound device.

Default value: NULL

### The `"server"` property

      "server"                   gchar*                : Read / Write

The PulseAudio server to connect to.

Default value: NULL